<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 2/7/2018
 * Time: 3:48 AM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['nombre']) && isset($_REQUEST['ubicacion']) && isset($_REQUEST['correo']) && isset($_REQUEST['telefono'])) {
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominio = $Valido->retornarDatos($creadoPor);
            $validar  = R::findOne( 'oficinaadministrativa', ' nombre =:nombreC AND id_condominio =:id_condominioc ',array('nombreC' => $_REQUEST['nombre'], 'id_condominioc' => $condominio['condominio_id']));
            if (is_null($validar)==TRUE){
                $oficinaadministrativo = R::dispense('oficinaadministrativa');
                $oficinaadministrativo->nombre = $_REQUEST['nombre'];
                $oficinaadministrativo->ubicacion = $_REQUEST['ubicacion'];
                $oficinaadministrativo->telefono = $_REQUEST['telefono'];
                $oficinaadministrativo->correo = $_REQUEST['correo'];
                $oficinaadministrativo->id_condominio = $condominio['condominio_id'];
                $oficinaadministrativo->id_autor = $creadoPor;
                $oficinaadministrativo->fechaRegistro = date('Y-m-d H:i:s');
                $oficinaadministrativo->fechaModificacion = date('Y-m-d H:i:s');
                $oficinaadministrativo->estado = 1;
                $id = R::store($oficinaadministrativo);
                include '../comun/mensajeCreado.php';
            }else{
                include '../comun/mensajeYaExiste.php';
            }
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}